<?php
/*
 * Pretty-print lists of people from xml data.  For example:
 *   include('php/people.php');
 *   $use_pictures = true;
 *   printPeopleStart($use_picture);
 *   $s=simplexml_load_file('xml/profs.xml');
 *   printPeople('Professors', $s, $use_pictures);
 *   $s=simplexml_load_file('xml/TAs.xml');
 *   printPeople('Teaching Assistants', $s, $use_pictures);
 *   printPeopleEnd($use_picture);
 * 
 * simplexml_load_file idea from 2008 courselist page
 * http://www.physics.drexel.edu/students/courses/
 * COPYRIGHT © 2008 DREXEL UNIVERSITY DEPARTMENT OF PHYSICS
 * Design by Daniel J. Cross
 */
function printPeopleStart($use_pictures){
  if ($use_pictures == false)
    echo "<table>\n";
}
function printPeopleEnd($use_pictures){
  if ($use_pictures == false)
    echo "</table>\n";
}
function printPeople($title, $people, $use_pictures){
  if ($use_pictures == true)
    echo "  <h3 style=\"clear: both;\">$title</h3>\n";
  else
    echo "  <tr><th colspan=\"3\">$title</th></tr>\n";
  foreach($people->person as $person){
    $name=$person->name;
    if (strlen($person->url) > 0){
      $href=" href=\"".$person->url."\"";
    } else {
      $href="";
    }
    $office=$person->office;
    $email=$person->email;
    $hours=$person->hours;
    $picture=$person->picture;
    $extension=$person->extension;
    if ($use_pictures == true) {
      echo "  <div class=\"person\" style=\"clear: both;\">\n";
      echo "    <img alt=\"$name\" src=\"$picture\" width=\"100px\" height=\"130px\" style=\"float:left;margin-right:10px;border:1px solid black;\"/>\n";
      echo "    <p>\n";
      echo "      <b><a$href>$name</a></b><br/>\n";
      echo "      Email: $email<br/>\n";
      echo "      Office: $office<br/>\n";
      echo "      Hours: $hours<br/>\n";
      echo "      Extension: $extension<br/>\n";
      echo "    </p>\n";
      echo "  </div>\n";
    } else {
      echo "  <tr><td><a$href>$name</a></td><td>$office</td><td>$email</td></tr>\n";
      if (strlen($hours) > 0){
	echo "  <tr><td></td><td colspan=\"2\">Office hours: $hours</td></tr>\n";
      }
    }
  }
}
?>
